Package: org.codehaus.groovy.control

## [Java] Class ASTTransformationsContext

- org.codehaus.groovy.control.ASTTransformationsContext

-     public class ASTTransformationsContext
      extends Object

  Stores state information about global AST transformations applied to a compilation unit.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CompilationUnit` | `compilationUnit` | Compilation unit that receives the transformations.
    `protected Set<String>` | `globalTransformNames` | Names of the global transformations applied so far.
    `protected GroovyClassLoader` | `transformLoader` | Class loader used to load global and local AST transformations.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)` Creates a context for tracking AST transformations during compilation.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CompilationUnit` | `getCompilationUnit()` Returns the compilation unit associated with this context.
    `` | `public Set<String>` | `getGlobalTransformNames()` Returns the names of applied global AST transformations.
    `` | `public GroovyClassLoader` | `getTransformLoader()` Returns the class loader used to load transformations.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final CompilationUnit compilationUnit

      Compilation unit that receives the transformations.

    - #### protected final Set<String> globalTransformNames

      Names of the global transformations applied so far.

    - #### protected final GroovyClassLoader transformLoader

      Class loader used to load global and local AST transformations.

  - ### Constructor Detail

    - #### public ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)

      Creates a context for tracking AST transformations during compilation.

      Parameters:
        `compilationUnit` - the compilation unit being transformed
        `transformLoader` - the class loader used for transformation classes

  - ### Method Detail

    - #### public CompilationUnit getCompilationUnit()

      Returns the compilation unit associated with this context.

      Returns:
        the owning compilation unit

    - #### public Set<String> getGlobalTransformNames()

      Returns the names of applied global AST transformations.

      Returns:
        the recorded transformation names

    - #### public GroovyClassLoader getTransformLoader()

      Returns the class loader used to load transformations.

      Returns:
        the transformation class loader